Skip to content

Move assets

Request

Move one or more assets to a different folder.

The target folder must exist. Use POST /auth/organization/{organizationId}/workspace/{workspaceId}/assets/folder to create a folder first if needed.

Security
ShuffllApiKey
Path
organizationIdstringrequired

Unique identifier for the organization

Example:693fb82afd8d1c43077ba0fb
workspaceIdstringrequired

Unique identifier for the workspace

Example:693fb82afd8d1c43077ba0fe
Bodyapplication/jsonrequired
toFolderstringrequired

Target folder path to move the assets into

Example:"/Campaign Assets"
assetIdsstring or Array of stringsrequired
Example:
[ "6947b539cc95ea68854bb523" ]
One of:

Single asset ID

string
curl -i -X PUT \
  https://api-docs.shuffll.com/_mock/apis/auth/organization/693fb82afd8d1c43077ba0fb/workspace/693fb82afd8d1c43077ba0fe/assets/move \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY_HERE' \
  -d '{
    "toFolder": "/Campaign Assets",
    "assetIds": [
      "6947b539cc95ea68854bb523"
    ]
  }'

Responses

Assets moved successfully.

Response
No content